<?php
//****************************************请求权限****************************************
require("locked.php");                                                                 //*
setlocked(0);//会计科目                                                                 //*
//****************************************************************************************

echo '<script>document.title="处理结果通知";</script>';

include("cnn.php");

//删除前检查该记录是否已经审核；
$strsql='select * from account where id="'.$_POST["id"].'" and chk is not null';
$sql=$mysqli->query($strsql);
if(!$sql){
	echo '删除失败；<a href="#" onclick="javascript:history.back()">返回</a><br>';
	echo '原因：该科目已经被审核；';
	exit();
}
$sql->free();

//删除前检查ID是否存在下级；
$strsql='select * from account where id like "'.$_POST["id"].'%"';
$sql=$mysqli->query($strsql);
$afr=$sql->num_rows;
if($afr>1){
	echo '删除失败；<a href="#" onclick="javascript:history.back()">返回</a><br>';
	echo '原因：该科目存在'.($afr-1).'个下级明细数据；';
	exit();
}
$sql->free();

//删除前检查ID是否被凭证表使用；
$strsql='select * from v1 where km="'.$_POST["id"].'"';
$sql=$mysqli->query($strsql);
$afr=$sql->num_rows;
if($afr>0){
	echo '删除失败；<a href="#" onclick="javascript:history.back()">返回</a><br>';
	echo '原因：该科目已经被凭证表使用'.$afr.'次；';
	exit();
}
$sql->free();

//删除数据开始；
$strsql='delete from account where id="'.$_POST["id"].'"';
$mysqli->query($strsql);
$afr=$mysqli->affected_rows;
if($afr>0){ //如果存在数据；
	echo '删除成功；';   
}else{
	echo '删除失败；<a href="#" onclick="javascript:history.back()">返回</a>';
}

$mysqli->close();
?>